<?php
/**
 *
 * @link              http://codeboxr.com
 * @since             1.0.0
 * @package           CBXRBooking
 *
 * @wordpress-plugin
 * Plugin Name:       Comfort Restaurant Booking
 * Plugin URI:        https://codeboxr.com/product/comfort-restaurant-booking-for-wordpress/
 * Description:       Online restaurant bookings and reservations with branch manager
 * Version:           2.0.0
 * Author:            Codeboxr
 * Author URI:        http://codeboxr.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cbxrbooking
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

use CBX\RBooking\Helpers\CBXRBookingHelper;

defined( 'CBXRBOOKING_PLUGIN_NAME' ) or define( 'CBXRBOOKING_PLUGIN_NAME', 'cbxrbooking' );
defined( 'CBXRBOOKING_BASE_NAME' ) or define( 'CBXRBOOKING_BASE_NAME', plugin_basename( __FILE__ ) );
defined( 'CBXRBOOKING_PLUGIN_VERSION' ) or define( 'CBXRBOOKING_PLUGIN_VERSION', '2.0.0' );
defined( 'CBXRBOOKING_ROOT_PATH' ) or define( 'CBXRBOOKING_ROOT_PATH', plugin_dir_path( __FILE__ ) );
defined( 'CBXRBOOKING_ROOT_URL' ) or define( 'CBXRBOOKING_ROOT_URL', plugin_dir_url( __FILE__ ) );


defined( 'CBX_DEBUG' ) or define( 'CBX_DEBUG', false );
defined( 'CBXRBOOKING_DEV_MODE' ) or define( 'CBXRBOOKING_DEV_MODE', CBX_DEBUG );


// Include the main Cbx class.
if ( ! class_exists( 'CBXRBooking', false ) ) {
	include_once CBXRBOOKING_ROOT_PATH . 'includes/CBXRBooking.php';
}


/**
 * The code that runs during plugin activation.
 */
function activate_cbxrbooking() {
	cbxrbooking_core();

	CBXRBookingHelper::load_orm();
	CBXRBookingHelper::activate();
}//end function activate_cbxrbooking

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_cbxrbooking() {
	CBXRBookingHelper::deactivate();
}//end function deactivate_cbxrbooking

register_activation_hook( __FILE__, 'activate_cbxrbooking' );
register_deactivation_hook( __FILE__, 'deactivate_cbxrbooking' );

/**
 * Init the plugin manually
 *
 * @since  2.0.0
 */
function cbxrbooking_core() { // phpcs:ignore WordPress.NamingConventions.ValidFunctionName.FunctionNameInvalid
	global $cbxrbooking_core;

	// If the global variable is not already set, initialize it
	if ( ! isset( $cbxrbooking_core ) ) {
		$cbxrbooking_core = run_cbxrbooking();
	}

	return $cbxrbooking_core;
}//end function cbxrbooking_core

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_cbxrbooking() {
	return CBXRBooking::instance();
}//end method run_cbxrbooking

//load the plugin
$GLOBALS['cbxrbooking_core'] = run_cbxrbooking();
