<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

use CBX\RBooking\Api\CBXRoute;
use CBX\RBooking\Controllers\FormController;
use CBX\RBooking\Controllers\LogController;
use CBX\RBooking\Controllers\BranchController;
use CBX\RBooking\Controllers\DashboardController;


CBXRoute::middleware( 'cbxrbooking_form_manage' )->get( 'v1/form-list', [ FormController::class, 'get_form_list' ] );
CBXRoute::middleware( 'cbxrbooking_form_view' )->get( 'v1/form-data', [ FormController::class, 'get_form_data' ] );
CBXRoute::middleware( 'cbxrbooking_form_delete' )->post( 'v1/delete-form', [ FormController::class, 'destroy' ] );
CBXRoute::middleware( 'cbxrbooking_form_edit' )->post( 'v1/save-form', [ FormController::class, 'save' ] );
CBXRoute::middleware( 'cbxrbooking_form_edit' )->post( 'v1/create-form', [ FormController::class, 'create' ] );
CBXRoute::middleware( 'cbxrbooking_form_edit' )->post( 'v1/reset-submission-count', [ FormController::class, 'resetCounter' ] );

CBXRoute::middleware( 'cbxrbooking_log_manage' )->get( 'v1/log-list', [ LogController::class, 'get_log_list' ] );
CBXRoute::middleware( 'cbxrbooking_log_view' )->get( 'v1/log-data', [ LogController::class, 'get_log_data' ] );
CBXRoute::middleware( 'cbxrbooking_log_delete' )->post( 'v1/delete-log', [ LogController::class, 'destroy' ] );
CBXRoute::middleware( 'cbxrbooking_log_edit' )->post( 'v1/save-log', [ LogController::class, 'save' ] );
CBXRoute::middleware( 'cbxrbooking_log_edit' )->post( 'v1/change-booking-status', [ LogController::class, 'changeStatus' ] );

CBXRoute::middleware( 'cbxrbooking_branch_manage' )->get( 'v1/branch-list', [ BranchController::class, 'get_branch_list' ] );
CBXRoute::middleware( 'cbxrbooking_branch_view' )->get( 'v1/branch-data', [ BranchController::class, 'get_branch_data' ] );
CBXRoute::middleware( 'cbxrbooking_branch_delete' )->post( 'v1/delete-branch', [ BranchController::class, 'destroy' ] );
CBXRoute::middleware( 'cbxrbooking_branch_edit' )->post( 'v1/save-branch', [ BranchController::class, 'save' ] );

CBXRoute::middleware( 'manage_options' )->get( 'v1/dashboard-overview', [ DashboardController::class, 'getGlobalOverviewData' ] );
CBXRoute::middleware( 'manage_options' )->get( 'v1/dashboard-listing', [ DashboardController::class, 'getLatestListingData' ] );

CBXRoute::middleware( 'manage_options' )->post( 'v1/reset-option', [
	DashboardController::class,
	'pluginOptionsReset'
] );
CBXRoute::middleware( 'manage_options' )->post( 'v1/migrate-table', [
	DashboardController::class,
	'runMigration'
] );




