<?php

use CBX\RBooking\Helpers\CBXRBookingHelper;

/**
 * Provide a booking widget view for the plugin
 *
 * This file is used to markup booking widget form
 *
 * @link       http://codeboxr.com
 * @since      1.0.0
 *
 * @package    cbxrbooking
 * @subpackage cbxrbooking/widgets/views
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}
?>

    <!-- Custom  Title Field -->
    <p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title', 'cbxrbooking' ); ?></label>

        <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"
               name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>"/>
    </p>
    <p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'id' ) ); ?>"><?php esc_html_e( 'Select Form', 'cbxrbooking' ); ?></label>
        <select class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'id' ) ); ?>"
                name="<?php echo esc_attr( $this->get_field_name( 'id' ) ); ?>">

			<?php
			echo '<option value="0" >' . esc_html__( 'Select Form', 'cbxrbooking' ) . '</option>';

			global $post;
			$args = [
				'post_type'      => 'cbxrbooking',
				'orderby'        => 'ID',
				'order'          => 'DESC',
				'post_status'    => 'publish',
				'posts_per_page' => - 1,
				'meta_query'     => [ // phpcs:ignore WordPress.DB.SlowDBQuery.slow_db_query_meta_query
					[
						'key'     => '_cbxrbookingformmeta_status',
						'value'   => 1,
						'compare' => '=',
					],
				],
			];

			$all_posts = get_posts( $args );
			foreach ( $all_posts as $post ):
				CBXRBookingHelper::setup_postdata( $post );
				$form_id    = get_the_ID();
				$form_title = get_the_title();
				/* translators: %1$s: form title  %2$d: form id  */
				echo '<option value="' . intval($form_id) . '" ' . selected( $form_id, $id, false ) . '>' . sprintf( esc_html__( '%1$s (ID: %2$d)', 'cbxrbooking' ), esc_attr($form_title), intval($form_id) ) . '</option>';
			endforeach;
			CBXRBookingHelper::wp_reset_postdata();

			?>
        </select>
    </p>
<?php if ( intval( ( $id ) > 0 ) ): ?>
    <p>
        <a target="_blank"
           href="<?php echo esc_url( admin_url( 'admin.php?page=cbxrbooking-form#/form/' . $id ) ); ?>"><?php esc_html_e( 'Edit Form Setting', 'cbxrbooking' ) ?></a>
        <a class="alignright" target="_blank"
           href="<?php echo esc_url( admin_url( 'admin.php?page=cbxrbooking-form#/' ) ); ?>"><?php esc_html_e( 'View All Forms', 'cbxrbooking' ) ?></a>
    </p>
<?php else: ?>
    <p>
        <a target="_blank"
           href="<?php echo esc_url(admin_url( 'admin.php?page=cbxrbooking-form#/' )); ?>"><?php esc_html_e( 'Create New Form', 'cbxrbooking' ) ?></a>
    </p>
<?php endif; ?>

    <input type="hidden" id="<?php echo esc_attr($this->get_field_id( 'submit' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'submit' )); ?>" value="1"/>
<?php
do_action( 'cbxformsinglewidget_form_admin', $instance, $this );