<?php
/**
 * This template can be overridden by copying it to yourtheme/cbxrbooking/emails/new_booking_user_alert.php
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


do_action( 'cbxrbooking_email_header', $email_heading, $email ); ?>
    <p><?php echo esc_html__( 'Hi, {user_name}', 'cbxrbooking' ); ?></p>
    <p><?php echo esc_html__( 'We got a booking request for email address {user_email}.', 'cbxrbooking' ); ?></p>
    <h2><?php echo esc_html__( 'Booking Details:', 'cbxrbooking' ); ?></h2>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Booking Status: {booking_status}', 'cbxrbooking' ); ?></p>
    <p style="margin-bottom: 0;"><?php echo wp_kses(__( 'Booking Code: <code>{booking_code}</code>', 'cbxrbooking' ), ['code' => []]); ?></p>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Phone: {booking_phone}', 'cbxrbooking' ); ?></p>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Name: {user_name}', 'cbxrbooking' ); ?></p>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Email:{user_email}', 'cbxrbooking' ); ?></p>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Booking Date: {booking_date}', 'cbxrbooking' ); ?></p>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Booking Time: {booking_time}', 'cbxrbooking' ); ?></p>
    <p style="margin-bottom: 0;"><?php echo esc_html__( 'Party Size: {party_size}', 'cbxrbooking' ); ?></p>
    <p><?php echo esc_html__( 'Message: ', 'cbxrbooking' ); ?></p>
    <p><?php echo '{booking_message}'; ?></p>
    <p><?php echo '{activation_link}'; ?></p>
    <p><?php echo '{cancel_link}'; ?></p>
    <p><?php echo esc_html__( 'We will check and get back to you soon.', 'cbxrbooking' ); ?></p>
    <p><?php echo esc_html__( 'Thank you.', 'cbxrbooking' ); ?></p>
<?php
/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}
?>

<?php
do_action( 'cbxrbooking_email_footer', $email );