<?php

use CBX\RBooking\Helpers\CBXRBookingHelper;

/**
 * Provide a public view for the plugin
 *
 * This file is used to markup the public facing form
 *
 * @link       http://codeboxr.com
 * @since      1.0.0
 *
 * @package    cbxrbooking
 * @subpackage cbxrbooking/public/templates
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
<?php

/*global $wp;

$current_user_info = null;
if ( is_user_logged_in() ) {
	$current_user_info = wp_get_current_user()->data;
}


$current_url = home_url( add_query_arg( null, null ) );

$privacy_policy_page_link = function_exists( 'get_the_privacy_policy_link' ) ? get_privacy_policy_url() : '#';

$booking_id     = 0;
$booking_secret = 0;

$meta = get_post_meta( $form_id, '_cbxrbookingmeta', true );

$schedule_weekdays       = $schedule_times = [];
$schedule_event          = null;
$twenty_four_hour_format = true;

$single_date_format = CBXRBookingHelper::getSingleDateFormat( CBXRBookingHelper::storedFormDateFormatKey( $form_id ) );

if ( isset( $meta['settings']['cbxrbooking_booking_schedule'] ) ) {

	$schedule_settings = $meta['settings']['cbxrbooking_booking_schedule'];

	// booking schedule settings
	$schedule_event = isset( $schedule_settings['schedule_event'] ) ? $schedule_settings['schedule_event'] : null;

	if ( isset( $schedule_settings['time_format'] ) && intval( $schedule_settings['time_format'] ) == 12 ) {
		$twenty_four_hour_format = false;
	}
}


if ( ! is_null( $schedule_event ) && is_array( $schedule_event ) ) {
	foreach ( $schedule_event as $key => $arr_values ) {
		if ( isset( $arr_values['weekdays'] ) ) {
			$schedule_weekdays = array_merge( $schedule_weekdays, $arr_values['weekdays'] );
			foreach ( $arr_values['weekdays'] as $index => $week_day_number ) {
				if ( $arr_values['times']['start'] != '' || $arr_values['times']['end'] != '' ) {
					$schedule_times[ $week_day_number ] = $arr_values['times'];
				} else {
					$schedule_times[ $week_day_number ] = '';
				}
			}
		}
	}
	$schedule_weekdays = array_unique( $schedule_weekdays );
}


// booking schedule exceptions settings
$scheduler_exceptions = isset( $schedule_settings['scheduler_exceptions'] ) ? $schedule_settings['scheduler_exceptions'] : null;
$exceptions_dates     = $exceptions_times = [];
if ( ! is_null( $scheduler_exceptions ) && is_array( $scheduler_exceptions ) ) {
	foreach ( $scheduler_exceptions as $index => $valArr ) {
		if ( isset( $valArr['date'] ) && $valArr['date'] != '' ) {
			if ( ( $key = array_search( $valArr['date'], $exceptions_dates ) ) !== FALSE ) {
				unset( $exceptions_dates[ $key ] );
			}

			array_push( $exceptions_dates, $valArr['date'] );

			if ( $valArr['times']['start'] != '' || $valArr['times']['end'] != '' ) {
				$exceptions_times[ $valArr['date'] ] = $valArr['times'];
			} else {
				$exceptions_times[ $valArr['date'] ] = '';
			}
		}
	}
}

// Localize the script with new data
$translation_array = array(
	'schedule_weekdays'       => $schedule_weekdays,
	'schedule_times'          => $schedule_times,
	'exceptions_dates'        => $exceptions_dates,
	'exceptions_times'        => $exceptions_times,
	'early_booking'           => $meta['settings']['cbxrbooking_booking_schedule']['early_bookings'],
	'late_booking'            => $meta['settings']['cbxrbooking_booking_schedule']['late_bookings'],
	//'preselect_date'          => $meta['settings']['cbxrbooking_booking_schedule']['date_pre_selection'],
	'time_interval'           => $meta['settings']['cbxrbooking_booking_schedule']['time_interval'],
	'first_day'               => $meta['settings']['cbxrbooking_booking_schedule']['week_starts_on'],
	'party_size_min'          => $meta['settings']['cbxrbooking_style']['min_party_size'],
	'party_size_max'          => $meta['settings']['cbxrbooking_style']['max_party_size'],
	'name_required'           => $meta['settings']['cbxrbooking_style']['require_name'],
	'email_required'          => $meta['settings']['cbxrbooking_style']['require_email'],
	'phone_required'          => $meta['settings']['cbxrbooking_style']['require_phone'],
	'success_message'         => json_encode( $meta['settings']['cbxrbooking_style']['success_message'] ),
	'twenty_four_hour_format' => $twenty_four_hour_format,
	'single_date_format'      => $single_date_format
);*/

$inline_js = '
	    cbxrbookingformentry.forms_data[' . $form_id . '] = ' . json_encode( $translation_array ) . ';	   
	';

wp_add_inline_script( 'cbxrbookingpublic', $inline_js, 'before' );

echo '<div class="cbx-chota">';

echo '<div class="cbxrbooking_wrapper cbxrbookingform_wrapper cbxrbooking_wrapper_' . esc_attr( $scope ) . '" data-form-id="' . absint( $form_id ) . '">';
?>

<?php do_action( 'cbxrbooking_public_logform_before', $form_id, $booking_id ) ?>


<?php $show_form = true; ?>
    <div class="cbxrbooking-success-messages">
    </div>
    <div class="cbxrbooking-error-messages">
    </div>


<?php if ( $show_form ) : ?>
	<?php if ( $meta['settings']['cbxrbooking_style']['text_beforeform'] != '' ) : ?>
        <div class="rbooking-text-before-form"><?php echo wp_kses_post( $meta['settings']['cbxrbooking_style']['text_beforeform'] ); ?></div>
        <br/>
	<?php endif; ?>
    <form id="rbooking_entryform_<?php echo absint( $form_id ); ?>"
          class="form-horizontal cbxrbooking-single rbooking_entryform rbooking_entryform_<?php echo absint( $form_id ); ?> global_common_form"
          method="post" data-form-id="<?php echo absint( $form_id ); ?>" action="<?php echo esc_url( $current_url ); ?>">


		<?php do_action( 'cbxrbooking_public_logform_start', $form_id, $booking_id ) ?>

        <div class="form-group">
            <label for="cbxrb_name_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Name', 'cbxrbooking' ) ?></label>
            <div class="cbxrb-input-wrapper cbxrbooking-error-msg-show">
                <input type="text" class="form-control cbxrb_name cbxrb_name_<?php echo absint( $form_id ); ?>" name="cbxrb_name"
                       id="cbxrb_name_<?php echo absint( $form_id ); ?>"
                       value="<?php echo ! is_null( $current_user_info ) ? esc_attr( $current_user_info->display_name ) : ''; ?>"
                       placeholder="<?php esc_html_e( 'Name', 'cbxrbooking' ) ?>" <?php if ( $meta['settings']['cbxrbooking_style']['require_name'] === 'name-yes' ) {
					echo 'required';
				} ?> />

            </div>
            <label for="cbxrb_email_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Email', 'cbxrbooking' ) ?></label>
            <div class="cbxrb-input-wrapper cbxrbooking-error-msg-show">
                <input type="email" class="form-control cbxrb_email cbxrb_email_<?php echo absint( $form_id ); ?>" name="cbxrb_email"
                       id="cbxrb_email_<?php echo absint( $form_id ); ?>"
                       value="<?php echo ! is_null( $current_user_info ) ? esc_attr( $current_user_info->user_email ) : ''; ?>"
                       placeholder="<?php esc_attr_e( 'Email', 'cbxrbooking' ) ?>" <?php if ( $meta['settings']['cbxrbooking_style']['require_email'] === 'email-yes' ) {
					echo 'required';
				} ?> />

            </div>
        </div>
        <div class="form-group">
            <label for="cbxrb_preferred_date_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Date', 'cbxrbooking' ) ?></label>
            <div class="cbxrb-input-wrapper cbxrbooking-error-msg-show">
                <input type="text" class="form-control cbxrb_preferred_date cbxrb_preferred_date_<?php echo absint( $form_id ); ?>" name="cbxrb_preferred_date"
                       id="cbxrb_preferred_date_<?php echo absint( $form_id ); ?>" value="<?php echo ''; ?>"
                       placeholder="<?php esc_html_e( 'Date', 'cbxrbooking' ) ?>" required/>


            </div>

            <label for="cbxrb_preferred_time_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Time', 'cbxrbooking' ) ?></label>
            <div class=" cbxrbooking-error-msg-show">
                <input type="text" class="cbxrb-input-wrapper form-control cbxrb_preferred_time cbxrb_preferred_time_<?php echo absint( $form_id ); ?>" name="cbxrb_preferred_time"
                       id="cbxrb_preferred_time_<?php echo absint( $form_id ); ?>" value="<?php echo ''; ?>"
                       placeholder="<?php esc_html_e( 'Time', 'cbxrbooking' ) ?>"
                       data-time-interval="<?php echo esc_attr($meta['settings']['cbxrbooking_booking_schedule']['time_interval']); ?>" required/>

            </div>
        </div>

        <div class="form-group">
            <label for="cbxrb_party_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Party Size', 'cbxrbooking' ) ?></label>
            <div class="cbxrb-input-wrapper cbxrbooking-error-msg-show">
                <?php 

                $min_party_size = intval( $meta['settings']['cbxrbooking_style']['min_party_size'] );
                $max_party_size = $meta['settings']['cbxrbooking_style']['max_party_size'] != '' ? intval( $meta['settings']['cbxrbooking_style']['max_party_size'] ) : 100;
                // swap party size if min > max
                if ( $min_party_size > $max_party_size ) {
                    $swap           = $max_party_size;
                    $max_party_size = $min_party_size;
                    $min_party_size = $swap;
                }

                if ($max_party_size > 0) {
                    ?>
                    <input type="number" class="form-control cbxrb_party cbxrb_party_<?php echo absint($form_id); ?>" 
                           name="cbxrb_party" id="cbxrb_party_<?php echo absint($form_id); ?>" 
                           min="<?php echo esc_attr($min_party_size); ?>" 
                           max="<?php echo esc_attr($max_party_size); ?>" 
                           step="1" required 
                           value="<?php echo isset($_REQUEST['party']) ? intval($_REQUEST['party']) : intval( $min_party_size );  // phpcs:ignore WordPress.Security.NonceVerification.Recommended ?>" />
                    <?php
                } else {
                    ?>
                    <select class="form-control cbxrb_party cbxrb_party_<?php echo absint($form_id); ?>" 
                            name="cbxrb_party" id="cbxrb_party_<?php echo absint($form_id); ?>" required>
                        <?php
                        for ($party = $min_party_size; $party <= $max_party_size; $party++) { ?>
                            <option <?php if (isset($_REQUEST['party']) && intval($_REQUEST['party']) == $party) echo 'selected'; // phpcs:ignore WordPress.Security.NonceVerification.Recommended ?>
                                    value="<?php echo esc_attr( $party ); ?>"><?php echo esc_html( $party ); ?></option>
                            <?php
                        }
                        ?>
                    </select>
                    <?php
                }
                ?>

            </div>
            <label for="cbxrb_phone_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Phone', 'cbxrbooking' ) ?></label>
            <div class="cbxrb-input-wrapper cbxrbooking-error-msg-show">
                <input type="text" class="form-control cbxrb_phone cbxrb_phone_<?php echo absint( $form_id ); ?>" name="cbxrb_phone"
                       id="cbxrb_phone_<?php echo absint( $form_id ); ?>" value="<?php echo ''; ?>"
                       placeholder="<?php esc_html_e( 'Phone', 'cbxrbooking' ) ?>" <?php if ( $meta['settings']['cbxrbooking_style']['require_phone'] === 'phone-yes' ) {
					echo 'required';
				} ?> />

            </div>
        </div>

        <div class="form-group">
            <label for="cbxrb_message_<?php echo absint( $form_id ); ?>"
                   class="colcbxrb-label control-label"><?php esc_html_e( 'Message', 'cbxrbooking' ) ?></label>
            <div class="cbxrb-input-wrapper">
               <textarea name="cbxrb_message" class="form-control cbxrb_message cbxrb_message_<?php echo absint( $form_id ); ?>" id="cbxrb_message_<?php echo absint( $form_id ); ?>" rows="4" cols="50"
                         placeholder="<?php esc_html_e( 'Message', 'cbxrbooking' ) ?>"></textarea>
            </div>
        </div>

		<?php do_action( 'cbxrbooking_public_logform_end', absint( $form_id ), $booking_id, [] ) ?>

		<?php if ( isset( $meta['settings']['cbxrbooking_style']['user_consent'] ) && $meta['settings']['cbxrbooking_style']['user_consent'] == 'on' ) : ?>
            <div class="form-group">
                <div class="checkbox_field cbxrb-input-wrapper cbxrb-input-wrapper-privacy  cbxrbooking-error-msg-show">
                    <input required type="checkbox" name="cbxrb_privacy" id="cbxrb_privacy_<?php echo absint( $form_id ); ?>" class="magic-checkbox cbxrb_privacy" value="on"/>
                    <label for="cbxrb_privacy_<?php echo absint( $form_id ); ?>" class="cbxrb-label  control-label">
                        <?php
                        /* translators: %s: Policy page link  */
                         echo sprintf( wp_kses( __( 'YES, I agree with <a target="_blank" href="%s">Privacy policy</a>', 'cbxrbooking' ), [ 'a' => [ 'href' => [], 'target' => [] ] ] ), esc_url( apply_filters( 'cbxrbooking_privacy_policy_page_link', $privacy_policy_page_link ) ) ); ?>
                    </label>
                </div>

            </div>
		<?php endif; ?>


        <input type="hidden" name="cbxrb_formid" value="<?php echo absint( absint( $form_id ) ); ?>"/>
        <input type="hidden" name="cbxrb_booking_id" value="<?php echo absint( $booking_id ); ?>"/>
        <input type="hidden" name="rbooking_frontend_entrysubmit" value="1"/>
        <input type="hidden" name="rbooking_frontend_url" value="<?php echo esc_url( $current_url ); ?>"/>
		<?php wp_nonce_field( 'rbooking_formentry', 'rbooking_token' ); ?>
        <div class="form-group text-center">
            <button type="submit" class="cbxrb-actionbutton button primary ld-ext-right"><?php esc_html_e( 'Submit', 'cbxrbooking' ) ?><span class="ld ld-spin ld-ring"></span></button>
        </div>
    </form>
	<?php if ( $meta['settings']['cbxrbooking_style']['text_afterform'] != '' ) : ?>
        <div class="rbooking-text-after-form"><?php echo wp_kses_post( $meta['settings']['cbxrbooking_style']['text_afterform'] ); ?></div>
	<?php endif; ?>

<?php endif; ?>

<?php if ( ( $meta['settings']['cbxrbooking_misc']['show_credit'] === 'yes' ) ) : ?>
    <div class="pull-right">
		<?php esc_html_e( 'Powered by ', 'cbxrbooking' ) ?>
        <a href="https://codeboxr.com" target="_blank">
			<?php esc_html_e( 'Codeboxr', 'cbxrbooking' ) ?>
        </a>
    </div>
<?php endif; ?>


<?php

do_action( 'cbxrbooking_public_logform_after', $form_id, $booking_id );

echo '<div class="cbxrbooking_clear"></div>';

echo '</div>';
echo '</div>';